GET
/
v2
/
profiles
/
contacts
List contact profiles surfaced from WhatsApp groups
curl --request GET \
  --url https://api-v2.watchcollect.com/v2/profiles/contacts \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "raw_sender_id": "<string>",
      "resolution_status": "<string>",
      "first_seen_at_ms": 123,
      "last_seen_at_ms": 123,
      "message_count": 123,
      "classified_count": 123,
      "listing_count": 123,
      "selling_count": 123,
      "buying_count": 123,
      "reference_count": 123,
      "group_count": 123,
      "display_name": "<string>",
      "phone_number": "<string>",
      "lid": "<string>",
      "country_prefix": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string

Free-text search over display name, phone number, LID and raw sender id.

country_prefix
string

Comma-separated list of country prefixes to include.

country_prefix_exclude
string

Comma-separated list of country prefixes to exclude.

has_selling
boolean

Restrict to contacts with at least one for_sale listing.

has_buying
boolean

Restrict to contacts with at least one want_to_buy listing.

group_id
string

Comma-separated list of group UUIDs to scope contacts to.

last_seen_from_ms
integer<int64>
last_seen_to_ms
integer<int64>
sort
enum<string>
default:last_seen
Available options:
last_seen,
listings,
messages,
references
direction
enum<string>
Available options:
asc,
desc
cursor
string
page_size
integer
default:50
Required range: 1 <= x <= 200

Response

Cursor page of contacts.

items
object[]
required
has_more
boolean
required
next_cursor
string | null